// 08MDIScribbleView.h : CMy08MDIScribbleView 類別的介面
//


#pragma once


class CMy08MDIScribbleView : public CScrollView
{
protected: // 僅從序列化建立
	CMy08MDIScribbleView();
	DECLARE_DYNCREATE(CMy08MDIScribbleView)

// 屬性
public:
	CMy08MDIScribbleDoc* GetDocument() const;

// 作業
public:

// 覆寫
	public:
	virtual void OnDraw(CDC* pDC);  // 覆寫以描繪此檢視
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // 建構後第一次呼叫
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// 程式碼實作
public:
	virtual ~CMy08MDIScribbleView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 產生的訊息對應函式
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // 08MDIScribbleView.cpp 中的偵錯版本
inline CMy08MDIScribbleDoc* CMy08MDIScribbleView::GetDocument() const
   { return reinterpret_cast<CMy08MDIScribbleDoc*>(m_pDocument); }
#endif

